import { newSpecPage } from '@stencil/core/testing';
import { WebConsole } from '../web-console';

describe('web-console', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [WebConsole],
      html: `<web-console></web-console>`,
    });
    expect(page.root).toEqualHtml(`
      <web-console>
        <mock:shadow-root>
          <slot></slot>
        </mock:shadow-root>
      </web-console>
    `);
  });
});
